For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/program/detail

get

Get details for specific program

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
programidintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/program/detail
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'programid' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'program/detail',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "programid": "1",
  "program": "50rev",
  "hidden": "0",
  "type": "0",
  "name": "50% Revshare",
  "extended_payout": "",
  "max_ratio": "0",
  "fallbackid": "0",
  "addstr": "",
  "deleted": "0",
  "abi_paycom_prefix": "",
  "abi_paycom_perc": "0",
  "deduct_credits": "0",
  "deduct_chargebacks": "0",
  "deduct_voids": "0",
  "deduct_insufficient": "0",
  "verify_hash": "0",
  "verify_initial": "0",
  "retro_payout": "0",
  "hide_rebills": "0",
  "hide_joins": "0",
  "system": "",
  "system_key_field": "",
  "system_key": "",
  "coupon_code": "",
  "description": "",
  "thumb": "",
  "thumb_ext": "",
  "import_program": "0",
  "ccbillid": "0",
  "enabled": 1,
  "resellers_enabled": "4",
  "resellers_disabled": 0,
  "payouts": [
    {
      "id": 0,
      "field": "Raw",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 1,
      "field": "Unq",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 2,
      "field": "Qual",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 3,
      "field": "$ Join",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 4,
      "field": "$ Rebill",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 5,
      "field": "$ Active",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 6,
      "field": "% Join",
      "pre": "",
      "post": "%",
      "value": "50.00",
      "max": "50.00",
      "min": "50.00",
      "default": "0.00"
    },
    {
      "id": 7,
      "field": "% Rebill",
      "pre": "",
      "post": "%",
      "value": "50.00",
      "max": "50.00",
      "min": "50.00",
      "default": "0.00"
    },
    {
      "id": 8,
      "field": "% Dialer",
      "pre": "",
      "post": "%",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 9,
      "field": "NCR",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 10,
      "field": "Third Reg",
      "pre": "$",
      "post": "",
      "value": "0.00",
      "max": "0.00",
      "min": "0.00",
      "default": "0.00"
    },
    {
      "id": 11,
      "field": "% Active",
      "pre": "",
      "post": "%",
      "value": "50.00",
      "max": "50.00",
      "min": "50.00",
      "default": "0.00"
    }
  ],
  "no_delete": 0,
  "no_fallback": 0,
  "cc_bin_redirect": 1,
  "has_payout_changes": 1,
  "no_payout_edit": 0,
  "no_tiered_payouts": 0,
  "no_transaction_settings": 0,
  "no_extended_payout": 0,
  "type_name": "Standard Program"
}

Last updated

Was this helpful?